HOWTO: Fixing Swype on Liberty 2.x!

Discussion in 'Liberty ROM D2' started by aadster, Apr 10, 2011.

  1. aadster
    Offline

    aadster New Member

    Joined:
    Apr 10, 2011
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    0
    Hey guys,

    Many of you may be getting the error: "The Swype package you installed is configured for another device..", or something like that.

    The easy fix is to get the D2 package, provided by stetsonaw:

    "make a backup, no need to mount /system, no wipe, blah blah, you know what to do!
    Download StockSwypeD2.zip "

    Thank you!

    Another way to fix this involves getting the new swype beta from the Swype website, or you can restore from an older installer if you have one.

    First step is to remove the old swype. Open Liberty Toolbox, head on over to App Management --> Remove Apps. Click the Menu key and then Show All Apps. Find Swype there, select it, menu key and remove selected.

    Now, sign up here: https://beta.swype.com/android/create/

    Make sure you use a real email. They will send you an activation link.

    After your account is activated, navigate here on your android: https://beta.swype.com/android/get/

    After that, install the .apk on your phone, and go through the download following instructions. All should work just fine.

    I now have the latest version of swype working on my Droid 2. Only small downside is that it doesn't match the old theme :p
    Last edited: Apr 24, 2011
  2. Standalone010
    Offline

    Standalone010 New Member

    Joined:
    Nov 8, 2010
    Messages:
    40
    Likes Received:
    0
    Trophy Points:
    0
    Bumping because I had this issue a few nights ago. Fairly easy fix, but might not be thought of right away.
  3. jocko1
    Offline

    jocko1 New Member

    Joined:
    Apr 2, 2011
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    0
    Does anybody know why it doesn't work in the first place?
  4. aadster
    Offline

    aadster New Member

    Joined:
    Apr 10, 2011
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    0
    Not sure on the specifics but it's more than likely because something was not configured properly. The generated license on the phone isn't compatible.
  5. jocko1
    Offline

    jocko1 New Member

    Joined:
    Apr 2, 2011
    Messages:
    75
    Likes Received:
    0
    Trophy Points:
    0
    So its safe to assume it will be fixed by Team Liberty eventually and the fix will be thrown into the Liberty Toolbox?
  6. aadster
    Offline

    aadster New Member

    Joined:
    Apr 10, 2011
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    0
    Oh, I'm sure they will fix it eventually. As for how they will include it, toolbox or a patch I don't know. This works just fine for now though, and is probably the best thing you can do in the meantime if you are an avid swype user.
  7. xandor
    Offline

    xandor New Member

    Joined:
    Nov 23, 2009
    Messages:
    180
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Chicago, IL
    I checked out swype beta but haven't installed it yet. Might do so tonight to have the latest version.

    Thanks!

    Sent from my Liberated Droid2
    using Tapatalk
  8. austmeliamne
    Offline

    austmeliamne New Member

    Joined:
    Nov 1, 2010
    Messages:
    15
    Likes Received:
    0
    Trophy Points:
    0
    Thanks for the fix-it guide. I ran into this issue yesterday and was considering moving back to Liberty 1.5, but now, all is good. :)
  9. Standalone010
    Offline

    Standalone010 New Member

    Joined:
    Nov 8, 2010
    Messages:
    40
    Likes Received:
    0
    Trophy Points:
    0
    I believe it's because the swype version is for the DX. Could be wrong though.
  10. xandor
    Offline

    xandor New Member

    Joined:
    Nov 23, 2009
    Messages:
    180
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Chicago, IL
    Wouldn't be surprised, my droid thought it was a droid x when I first flashed it. I just installed the new swype beta and liking it so far.

    Sent from my Liberated Droid2
    using Tapatalk
  11. prolefeedprocessor
    Offline

    prolefeedprocessor New Member

    Joined:
    Oct 4, 2010
    Messages:
    62
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Montana
    I just wanted to let it be known that some of us are just having a different problem. After installing Liberty 2.0.1 on my D2, if I use Swype, it appears and it works if I tap the letters, but dragging across (although it shows the trace trail) just makes the keyboard flash for a split second and doesn't create a word. I've not been getting any error messages. I've reflashed, re-sbf'd, etc. and that's always been the case.
  12. Phaze08
    Offline

    Phaze08 New Member

    Joined:
    Jun 17, 2010
    Messages:
    293
    Likes Received:
    0
    Trophy Points:
    0
    I tried pulling the swype apk from 1.5 but it won't install. I can't have a blue keyboard with my linear. -_-

    Sent from my DROID2 using Tapatalk
  13. stetsonaw
    Offline

    stetsonaw Beta Team/Marty McFly Theme Developer Premium Member

    Joined:
    Jun 16, 2010
    Messages:
    2,317
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Bellevue, NE
    It won't install, but it will if you flash it. Make sure to uninstall the beta first!

    and Standalone010 had it right, the DX version is in the D2 ROM zip.

    make a backup, no need to mount /system, no wipe, blah blah, you know what to do!
    Download StockSwypeD2.zip

    aadster, feel free to add this to the OP retaining the proper link.
  14. Phaze08
    Offline

    Phaze08 New Member

    Joined:
    Jun 17, 2010
    Messages:
    293
    Likes Received:
    0
    Trophy Points:
    0
    Is this the same as the one in the OP?

    Sent from my DROID2 using Tapatalk
  15. stetsonaw
    Offline

    stetsonaw Beta Team/Marty McFly Theme Developer Premium Member

    Joined:
    Jun 16, 2010
    Messages:
    2,317
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Bellevue, NE
    No, it's the one that was in Liberty 1.5 for the D2, tested and works. How are/were you trying to install it? just by tapping the APK or flashing it?
  16. Phaze08
    Offline

    Phaze08 New Member

    Joined:
    Jun 17, 2010
    Messages:
    293
    Likes Received:
    0
    Trophy Points:
    0
    Yeah I pulled directly out of 1.5 but wouldn't install. Ill flash yours.

    Sent from my DROID2 using Tapatalk
  17. stetsonaw
    Offline

    stetsonaw Beta Team/Marty McFly Theme Developer Premium Member

    Joined:
    Jun 16, 2010
    Messages:
    2,317
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Bellevue, NE
    k, lmk how it goes. If the app isn't signed, it's wonky if it will install, and even then, some signed apps won't install from Astro, that's why I always flash everything.
  18. Phaze08
    Offline

    Phaze08 New Member

    Joined:
    Jun 17, 2010
    Messages:
    293
    Likes Received:
    0
    Trophy Points:
    0
    Freakin awesome! Finally! Thanks alot.

    Sent from my DROID2 using Tapatalk
  19. stetsonaw
    Offline

    stetsonaw Beta Team/Marty McFly Theme Developer Premium Member

    Joined:
    Jun 16, 2010
    Messages:
    2,317
    Likes Received:
    0
    Trophy Points:
    0
    Location:
    Bellevue, NE
    :biggrin: that's why i'm here! hit me up if you need anything else.
  20. Mr. Steve
    Offline

    Mr. Steve New Member

    Joined:
    Sep 12, 2010
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    0

    If I'm correct on this than I think your issue is actually the same problem we are having. See when the Swype software detects that it's not authorized it goes into a limited state where it only lets you type normally, in other words, it doesn't let you swype. This sounds exactly like your problem except you must have missed the warning that swype displays the first time it finds out it is not authorized. I would recommend just deleting the built in swype and installing the Swype Beta. If the Swype Beta still gives you some issues than you should come back here to find some more advanced help.

    Edit: This just occured to me after seeing you device description, your problems could possibly be caused by the fact that you are using the R2Droid 2 and not a normal Droid 2. I feel this is kind of doubtful that this would cause a problem but I figured I would put it out there. Again, try using the Swype Beta and see how that goes.
    Last edited: Apr 12, 2011